Subject: Re: Host USB issue on MPC8272

From: Scott Wood <[email-masked]>
Date: Fri, 05 Sep 2008 10:17:11 -0500

David Beamonte wrote:
> This issue seems to be related to one problem that we have always had. 
> We can't configure buffers of SMCs, SCCs, etc, to be in SDRAM, because 
> the processor hangs. We always have to configure buffers in DPRAM. In 
> other drivers this has not been a problem, because the buffer size is 
> not very large, so we can allocate it in DPRAM, but for this one, the 
> buffer size is 0x8000 (32Kb) which exceeds DPRAM size.
> 
> Has anybody had the same problem? Can it be an USB specific problem or a 
> general one?

Make sure that BCR[PLDP] is not set, as per erratum SIU18.

-Scott